com.sun.grid.jgdi

## Interface JGDIBase

- All Known Subinterfaces:
    JGDI
  All Known Implementing Classes:
    JGDIBaseImpl, JGDIImpl

      public interface JGDIBase

  Base class for the `JGDI` object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanQueues(java.lang.String[] queues)` Cleans queue from jobs which haven't been reaped.
    `void` | `cleanQueuesWithAnswer(java.lang.String[] queues, java.util.List<JGDIAnswer> answers)` Cleans queue from jobs which haven't been reaped.
    `void` | `clearJobs(java.lang.String[] jobs, boolean force)` Clears the error state of the specified jobs(s).
    `void` | `clearJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)` Clears the error state of the specified jobs(s).
    `void` | `clearQueues(java.lang.String[] queues, boolean force)` Clears the error state of the specified queues(s).
    `void` | `clearQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Clears the error state of the specified queues(s).
    `void` | `clearShareTreeUsage()` Clears all user and project usage from the sharetree.
    `void` | `clearShareTreeUsageWithAnswer(java.util.List<JGDIAnswer> answers)` Clears all user and project usage from the sharetree.
    `void` | `close()` Close the `JGDI` object.
    `void` | `deleteShareTree()` Delete the sharetree Requires root or manager privileges.
    `void` | `deleteShareTreeWithAnswer(java.util.List<JGDIAnswer> answers)` Delete the sharetree Requires root or manager privileges.
    `void` | `disableQueues(java.lang.String[] queues, boolean force)` Disable queue(s), i.e.
    `void` | `disableQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Disable queue(s), i.e.
    `void` | `enableQueues(java.lang.String[] queues, boolean force)` Enable queue(s).
    `void` | `enableQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Enable queue(s).
    `QHostResult` | `execQHost(QHostOptions options)` Get summary information about cluster hosts.
    `java.lang.String` | `getActQMaster()` Get the hostname of the current qmaster
    `java.lang.String` | `getAdminUser()` Get the admin user
    `java.util.List<ClusterQueueSummary>` | `getClusterQueueSummary(ClusterQueueSummaryOptions options)` Get summary information about cluster queues.
    `QQuotaResult` | `getQQuota(QQuotaOptions options)` Get the limit information.
    `QueueInstanceSummaryResult` | `getQueueInstanceSummary(QueueInstanceSummaryOptions options)` Get summary information abouter queue instances.
    `java.util.List<ExecHost>` | `getRealExecHostList()` Get the list of real exec hosts (excludes "template" and "global").
    `java.lang.String` | `getSchedulerHost()` Return the host where the SGE scheduler sge_schedd(8) is active or null otherwise
    `java.lang.String` | `getSGECell()` Get the cell of the grid engine
    `int` | `getSgeExecdPort()` Get the SGE_EXECD_PORT of the current qmaster
    `int` | `getSgeQmasterPort()` Get the SGE_QMASTER_PORT of the current qmaster
    `java.io.File` | `getSGERoot()` Get the root directory of the grid engine installation
    `void` | `killAllEventClients()` Used to shutdown event clients all registered at qmaster(8).
    `void` | `killAllEventClientsWithAnswer(java.util.List<JGDIAnswer> answers)` Used to shutdown event clients all registered at qmaster(8).
    `void` | `killAllExecds(boolean terminateJobs)` Send all execution hosts a kill signal.
    `void` | `killAllExecdsWithAnswer(boolean terminateJobs, java.util.List<JGDIAnswer> answers)` Send all execution hosts a kill signal.
    `void` | `killEventClients(int[] ids)` Used to shutdown event clients registered at qmaster(8), except special clients like the sge_schedd(8)
    `void` | `killEventClientsWithAnswer(int[] ids, java.util.List<JGDIAnswer> answers)` Used to shutdown event clients registered at qmaster(8), except special clients like the sge_schedd(8)
    `void` | `killExecd(java.lang.String[] hosts, boolean terminateJobs)` Send some execution hosts a kill signal.
    `void` | `killExecdWithAnswer(java.lang.String[] hosts, boolean terminateJobs, java.util.List<JGDIAnswer> answers)` Send some execution hosts a kill signal.
    `void` | `killMaster()` Send the qmaster a kill signal.
    `void` | `killMasterWithAnswer(java.util.List<JGDIAnswer> answers)` Send the qmaster a kill signal.
    `void` | `killScheduler()` Send the schedduler a kill signal.
    `void` | `killSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)` Send the schedduler a kill signal.
    `void` | `reschedule(java.lang.String[] queue_or_job, boolean force)` Reschedules all jobs currently running in the queue(s).
    `void` | `rescheduleJobs(java.lang.String[] jobs, boolean force)` If applied to running jobs, reschedules the jobs.
    `void` | `rescheduleJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)` If applied to running jobs, reschedules the jobs.
    `void` | `rescheduleQueues(java.lang.String[] queues, boolean force)` Reschedules all jobs currently running in the queue(s).
    `void` | `rescheduleQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Reschedules all jobs currently running in the queue(s).
    `void` | `rescheduleWithAnswer(java.lang.String[] queue_or_job, boolean force, java.util.List<JGDIAnswer> answers)` Reschedules all jobs currently running in the queue(s).
    `java.lang.String` | `showDetachedSettings(java.lang.String[] queues)` Show the detached settings of a cluster queue Requires root or manager privileges.
    `java.lang.String` | `showDetachedSettingsAll()` Show the detached settings of all cluster queues Requires root or manager privileges.
    `void` | `startScheduler()` Send the schedduler a start signal.
    `void` | `startSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)` Send the schedduler a kill signal.
    `void` | `suspend(java.lang.String[] queues, boolean force)` Suspend the queues and any jobs which might be active.
    `void` | `suspendJobs(java.lang.String[] jobs, boolean force)` Suspends job(s).
    `void` | `suspendJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)` Suspends job(s).
    `void` | `suspendQueues(java.lang.String[] queues, boolean force)` Suspend the queues and any jobs which might be active.
    `void` | `suspendQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Suspend the queues and any jobs which might be active.
    `void` | `suspendWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Suspend the queues and any jobs which might be active.
    `void` | `triggerSchedulerMonitoring()` The SGE scheduler sge_schedd(8) is forced to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog.
    `void` | `triggerSchedulerMonitoringWithAnswer(java.util.List<JGDIAnswer> answers)` The N1 Grid Engine scheduler sge_schedd(8) is forced to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog.
    `void` | `unsuspend(java.lang.String[] queues, boolean force)` Unsuspends the queues and any jobs which might be active.
    `void` | `unsuspendJobs(java.lang.String[] jobs, boolean force)` Unsuspends the job(s).
    `void` | `unsuspendJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)` Unsuspends the job(s).
    `void` | `unsuspendQueues(java.lang.String[] queues, boolean force)` Unsuspends the queues and any jobs which might be active.
    `void` | `unsuspendQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Unsuspends the queues and any jobs which might be active.
    `void` | `unsuspendWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Unsuspends the queues and any jobs which might be active.

- - ### Method Detail

    - #### getAdminUser

          java.lang.String getAdminUser()
                                 throws JGDIException

      Get the admin user
      Returns:
        the admin user
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSGERoot

          java.io.File getSGERoot()
                           throws JGDIException

      Get the root directory of the grid engine installation
      Returns:
        root directory of the gridengine installation
      Throws:
        `JGDIException`

    - #### getSGECell

          java.lang.String getSGECell()
                               throws JGDIException

      Get the cell of the grid engine
      Returns:
        the cell of the grid engine
      Throws:
        `JGDIException`

    - #### getActQMaster

          java.lang.String getActQMaster()
                                  throws JGDIException

      Get the hostname of the current qmaster
      Returns:
        the hostname of the current qmaster
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSgeQmasterPort

          int getSgeQmasterPort()
                         throws JGDIException

      Get the SGE_QMASTER_PORT of the current qmaster
      Returns:
        the SGE_QMASTER_PORT of the current qmaster
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSgeExecdPort

          int getSgeExecdPort()
                       throws JGDIException

      Get the SGE_EXECD_PORT of the current qmaster
      Returns:
        the SGE_EXECD_PORT of the current qmaster
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### close

          void close()
              throws JGDIException

      Close the `JGDI` object. After calling this method the `JGDI` is not longer useable.
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getRealExecHostList

          java.util.List<ExecHost> getRealExecHostList()
                                                throws JGDIException

      Get the list of real exec hosts (excludes "template" and "global").
      Returns:
        the list of real exec hosts
      Throws:
        `JGDIException`

    - #### execQHost

          QHostResult execQHost(QHostOptions options)
                         throws JGDIException

      Get summary information about cluster hosts. The CLI equivialent of this method is `qhost` (see man qhost(1)).
      Parameters:
        `options` - host summary options
      Returns:
        the `QHostResult` object with the host summary information
      Throws:
        `JGDIException` - on any error in the GDI layer

    - #### getClusterQueueSummary

          java.util.List<ClusterQueueSummary> getClusterQueueSummary(ClusterQueueSummaryOptions options)
                                                              throws JGDIException

      Get summary information about cluster queues. The CLI equivialent of this method is `qstat -g c` (see man qstat(1)).
      Parameters:
        `options` - options the cluster queue summary algorithm
      Throws:
        `JGDIException` - on any error in the GDI layer

    - #### getQueueInstanceSummary

          QueueInstanceSummaryResult getQueueInstanceSummary(QueueInstanceSummaryOptions options)
                                                      throws JGDIException

      Get summary information abouter queue instances. The CLI equivialent of this method is `qstat` (see man qstat(1)).
      Parameters:
        `options` - Options for the queue instance summary algorithm
      Returns:
        the queue instance summary object
      Throws:
        `JGDIException` - on any error in the GDI layer

    - #### getQQuota

          QQuotaResult getQQuota(QQuotaOptions options)
                          throws JGDIException

      Get the limit information. The CLI equivialent of this method is `qquota` (see man qquota(1)).
      Parameters:
        `options` - qquota summary options
      Returns:
        the `QQuotaResult` object with the qquota summary information
      Throws:
        `JGDIException` - on any error in the GDI layer

    - #### clearShareTreeUsage

          void clearShareTreeUsage()
                            throws JGDIException

      Clears all user and project usage from the sharetree. All usage will be initialized back to zero.

      The CLI equivialent for this method is `qconf -clearusage` (see man qconf(1)).

      Throws:
        `JGDIException`

    - #### clearShareTreeUsageWithAnswer

          void clearShareTreeUsageWithAnswer(java.util.List<JGDIAnswer> answers)
                                      throws JGDIException

      Clears all user and project usage from the sharetree. All usage will be initialized back to zero.

      The CLI equivialent for this method is `qconf -clearusage` (see man qconf(1)).

      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException`

    - #### cleanQueues

          void cleanQueues(java.lang.String[] queues)
                    throws JGDIException

      Cleans queue from jobs which haven't been reaped. Primarily for development purpose. Requires root/manager/operator privileges.

      The CLI equivialent for this method is `qconf -cq` (see man qconf(1)).

      Parameters:
        `queues` - a wild card queue list
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### cleanQueuesWithAnswer

          void cleanQueuesWithAnswer(java.lang.String[] queues,
                                     java.util.List<JGDIAnswer> answers)
                              throws JGDIException

      Cleans queue from jobs which haven't been reaped. Primarily for development purpose. Requires root/manager/operator privileges.

      The CLI equivialent for this method is `qconf -cq` (see man qconf(1)).

      Parameters:
        `queues` - a wild card queue list
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killMaster

          void killMaster()
                   throws JGDIException

      Send the qmaster a kill signal.

      The CLI equivialent for this method is `qconf -km` (see man qconf(1)).

      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killMasterWithAnswer

          void killMasterWithAnswer(java.util.List<JGDIAnswer> answers)
                             throws JGDIException

      Send the qmaster a kill signal.

      The CLI equivialent for this method is `qconf -km` (see man qconf(1)).

      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killScheduler

          void killScheduler()
                      throws JGDIException

      Send the schedduler a kill signal.

      The CLI equivialent for this method is `qconf -ks` (see man qconf(1)).

      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killSchedulerWithAnswer

          void killSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Send the schedduler a kill signal.

      The CLI equivialent for this method is `qconf -ks` (see man qconf(1)).

      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### startScheduler

          void startScheduler()
                       throws JGDIException

      Send the schedduler a start signal.

      The CLI equivialent for this method is `qconf -at scheduler` (see man qconf(1)).

      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### startSchedulerWithAnswer

          void startSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)
                                 throws JGDIException

      Send the schedduler a kill signal.

      The CLI equivialent for this method is `qconf -at scheduler` (see man qconf(1)).

      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killExecd

          void killExecd(java.lang.String[] hosts,
                         boolean terminateJobs)
                  throws JGDIException

      Send some execution hosts a kill signal.

      The CLI equivialent for this method is `qconf -ke` (see man qconf(1)).

      Parameters:
        `hosts` - a host name list
        `terminateJobs` - if true, all jobs running on the execution hosts are aborted prior to termination of the corresponding sge_execd(8).
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killExecdWithAnswer

          void killExecdWithAnswer(java.lang.String[] hosts,
                                   boolean terminateJobs,
                                   java.util.List<JGDIAnswer> answers)
                            throws JGDIException

      Send some execution hosts a kill signal.

      The CLI equivialent for this method is `qconf -ke` (see man qconf(1)).

      Parameters:
        `hosts` - a host name list
        `terminateJobs` - if true, all jobs running on the execution hosts are aborted prior to termination of the corresponding sge_execd(8).
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killAllExecds

          void killAllExecds(boolean terminateJobs)
                      throws JGDIException

      Send all execution hosts a kill signal.

      The CLI equivialent for this method is `qconf -ke all` (see man qconf(1)).

      Parameters:
        `terminateJobs` - if true, all jobs running on the execution hosts are aborted prior to termination of the corresponding sge_execd(8).
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killAllExecdsWithAnswer

          void killAllExecdsWithAnswer(boolean terminateJobs,
                                       java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Send all execution hosts a kill signal.

      The CLI equivialent for this method is `qconf -ke all` (see man qconf(1)).

      Parameters:
        `terminateJobs` - if true, all jobs running on the execution hosts are aborted prior to termination of the corresponding sge_execd(8).
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killEventClients

          void killEventClients(int[] ids)
                         throws JGDIException

      Used to shutdown event clients registered at qmaster(8), except special clients like the sge_schedd(8)

      Requires root or manager privilege.

      The CLI equivialent for this method is `qconf -secl` (see man qconf(1)).

      Parameters:
        `ids` - array with the ids of the event clients which should be killed
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### killEventClientsWithAnswer

          void killEventClientsWithAnswer(int[] ids,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Used to shutdown event clients registered at qmaster(8), except special clients like the sge_schedd(8)

      Requires root or manager privilege.

      The CLI equivialent for this method is `qconf -secl` (see man qconf(1)).

      Parameters:
        `ids` - array with the ids of the event clients which should be killed
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### killAllEventClients

          void killAllEventClients()
                            throws JGDIException

      Used to shutdown event clients all registered at qmaster(8).

      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### killAllEventClientsWithAnswer

          void killAllEventClientsWithAnswer(java.util.List<JGDIAnswer> answers)
                                      throws JGDIException

      Used to shutdown event clients all registered at qmaster(8).

      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### triggerSchedulerMonitoring

          void triggerSchedulerMonitoring()
                                   throws JGDIException

      The SGE scheduler sge_schedd(8) is forced to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog. The messages indicate the reasons for jobs and queues not being selected in that run.

      Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -tsm` (see man qconf(1)).

      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### triggerSchedulerMonitoringWithAnswer

          void triggerSchedulerMonitoringWithAnswer(java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      The N1 Grid Engine scheduler sge_schedd(8) is forced to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog. The messages indicate the reasons for jobs and queues not being selected in that run.

      Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -tsm` (see man qconf(1)).

      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### getSchedulerHost

          java.lang.String getSchedulerHost()
                                     throws JGDIException

      Return the host where the SGE scheduler sge_schedd(8) is active or null otherwise

      The CLI equivialent for this method is `qconf -sss` (see man qconf(1)).

      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### enableQueues

          void enableQueues(java.lang.String[] queues,
                            boolean force)
                     throws JGDIException

      Enable queue(s).

      The CLI equivialent for this method is `qmod -e`(see man qmod(1)).``

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### enableQueuesWithAnswer

          void enableQueuesWithAnswer(java.lang.String[] queues,
                                      boolean force,
                                      java.util.List<JGDIAnswer> answers)
                               throws JGDIException

      Enable queue(s).

      The CLI equivialent for this method is `qmod -e`(see man qmod(1)).``

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### disableQueues

          void disableQueues(java.lang.String[] queues,
                             boolean force)
                      throws JGDIException

      Disable queue(s), i.e. no further jobs are dispatched to disabled queues while jobs already executing in these queues are allowed to finish.

      The CLI equivialent for this method is `qmod -d`(see man qmod(1)).``

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### disableQueuesWithAnswer

          void disableQueuesWithAnswer(java.lang.String[] queues,
                                       boolean force,
                                       java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Disable queue(s), i.e. no further jobs are dispatched to disabled queues while jobs already executing in these queues are allowed to finish.

      The CLI equivialent for this method is `qmod -d`(see man qmod(1)).``

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspend

          void suspend(java.lang.String[] queues,
                       boolean force)
                throws JGDIException

      Suspend the queues and any jobs which might be active.

      The CLI equivialent for this method is qmod -sq (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendWithAnswer

          void suspendWithAnswer(java.lang.String[] queues,
                                 boolean force,
                                 java.util.List<JGDIAnswer> answers)
                          throws JGDIException

      Suspend the queues and any jobs which might be active.

      The CLI equivialent for this method is qmod -sq (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendQueues

          void suspendQueues(java.lang.String[] queues,
                             boolean force)
                      throws JGDIException

      Suspend the queues and any jobs which might be active.

      The CLI equivialent for this method is qmod -sq (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendQueuesWithAnswer

          void suspendQueuesWithAnswer(java.lang.String[] queues,
                                       boolean force,
                                       java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Suspend the queues and any jobs which might be active.

      The CLI equivialent for this method is qmod -sq (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendJobs

          void suspendJobs(java.lang.String[] jobs,
                           boolean force)
                    throws JGDIException

      Suspends job(s). If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

      The CLI equivialent for this method is `qmod -sj` (see man qmod(1)).

      Parameters:
        `jobs` - a wildcard job list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendJobsWithAnswer

          void suspendJobsWithAnswer(java.lang.String[] jobs,
                                     boolean force,
                                     java.util.List<JGDIAnswer> answers)
                              throws JGDIException

      Suspends job(s). If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

      The CLI equivialent for this method is `qmod -sj` (see man qmod(1)).

      Parameters:
        `jobs` - a wildcard job list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspend

          void unsuspend(java.lang.String[] queues,
                         boolean force)
                  throws JGDIException

      Unsuspends the queues and any jobs which might be active.

      The CLI equivialent for this method is `qmod -usq` (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspendWithAnswer

          void unsuspendWithAnswer(java.lang.String[] queues,
                                   boolean force,
                                   java.util.List<JGDIAnswer> answers)
                            throws JGDIException

      Unsuspends the queues and any jobs which might be active.

      The CLI equivialent for this method is `qmod -usq` (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspendQueues

          void unsuspendQueues(java.lang.String[] queues,
                               boolean force)
                        throws JGDIException

      Unsuspends the queues and any jobs which might be active.

      The CLI equivialent for this method is `qmod -usq` (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspendQueuesWithAnswer

          void unsuspendQueuesWithAnswer(java.lang.String[] queues,
                                         boolean force,
                                         java.util.List<JGDIAnswer> answers)
                                  throws JGDIException

      Unsuspends the queues and any jobs which might be active.

      The CLI equivialent for this method is `qmod -usq` (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspendJobs

          void unsuspendJobs(java.lang.String[] jobs,
                             boolean force)
                      throws JGDIException

      Unsuspends the job(s). If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

      The CLI equivialent for this method is `qmod -usj` (see man qmod(1)).

      Parameters:
        `jobs` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspendJobsWithAnswer

          void unsuspendJobsWithAnswer(java.lang.String[] jobs,
                                       boolean force,
                                       java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Unsuspends the job(s). If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

      The CLI equivialent for this method is `qmod -usj` (see man qmod(1)).

      Parameters:
        `jobs` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### clearQueues

          void clearQueues(java.lang.String[] queues,
                           boolean force)
                    throws JGDIException

      Clears the error state of the specified queues(s).

      The CLI equivialent for this method is `qmod -cq`(see man qmod(1)).``

      Parameters:
        `queues` - a wildcard queue list
        `force` -

        Force the modification action for the queue despite the apparent current state of the queue.

      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### clearQueuesWithAnswer

          void clearQueuesWithAnswer(java.lang.String[] queues,
                                     boolean force,
                                     java.util.List<JGDIAnswer> answers)
                              throws JGDIException

      Clears the error state of the specified queues(s).

      The CLI equivialent for this method is `qmod -cq`(see man qmod(1)).``

      Parameters:
        `queues` - a wildcard queue list
        `force` -

        Force the modification action for the queue despite the apparent current state of the queue.

        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### clearJobs

          void clearJobs(java.lang.String[] jobs,
                         boolean force)
                  throws JGDIException

      Clears the error state of the specified jobs(s).

      The CLI equivialent for this method is qmod -cj (see man qmod(1)).

      Parameters:
        `jobs` - a wildcard job list
        `force` - Force the modification action for the job(s)
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### clearJobsWithAnswer

          void clearJobsWithAnswer(java.lang.String[] jobs,
                                   boolean force,
                                   java.util.List<JGDIAnswer> answers)
                            throws JGDIException

      Clears the error state of the specified jobs(s).

      The CLI equivialent for this method is qmod -cj (see man qmod(1)).

      Parameters:
        `jobs` - a wildcard job list
        `force` - Force the modification action for the job(s)
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### reschedule

          void reschedule(java.lang.String[] queue_or_job,
                          boolean force)
                   throws JGDIException

      Reschedules all jobs currently running in the queue(s). Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Parameters:
        `queue_or_job` - a wildcard queue or job list
        `force` - Force the modification action for the queue despite the apparent current state of the queue.
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleWithAnswer

          void rescheduleWithAnswer(java.lang.String[] queue_or_job,
                                    boolean force,
                                    java.util.List<JGDIAnswer> answers)
                             throws JGDIException

      Reschedules all jobs currently running in the queue(s). Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Parameters:
        `queue_or_job` - a wildcard queue or job list
        `force` - Force the modification action for the queue despite the apparent current state of the queue.
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleQueues

          void rescheduleQueues(java.lang.String[] queues,
                                boolean force)
                         throws JGDIException

      Reschedules all jobs currently running in the queue(s). Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - Force the modification action for the queue despite the apparent current state of the queue.
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleQueuesWithAnswer

          void rescheduleQueuesWithAnswer(java.lang.String[] queues,
                                          boolean force,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Reschedules all jobs currently running in the queue(s). Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Parameters:
        `queues` - a wildcard queue list
        `force` - Force the modification action for the queue despite the apparent current state of the queue.
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleJobs

          void rescheduleJobs(java.lang.String[] jobs,
                              boolean force)
                       throws JGDIException

      If applied to running jobs, reschedules the jobs. Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Parameters:
        `jobs` - a wildcard job range list
        `force` - Force the modification action for the job(s)
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleJobsWithAnswer

          void rescheduleJobsWithAnswer(java.lang.String[] jobs,
                                        boolean force,
                                        java.util.List<JGDIAnswer> answers)
                                 throws JGDIException

      If applied to running jobs, reschedules the jobs. Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Parameters:
        `jobs` - a wildcard job range list
        `force` - force the modification action for the job(s)
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### showDetachedSettings

          java.lang.String showDetachedSettings(java.lang.String[] queues)
                                         throws JGDIException

      Show the detached settings of a cluster queue Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -sds` (see man qconf(1)).

      Parameters:
        `queues` - a wildcard cluster queue list
      Returns:
        the detached settings summary information as a `java.lang.String`
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### showDetachedSettingsAll

          java.lang.String showDetachedSettingsAll()
                                            throws JGDIException

      Show the detached settings of all cluster queues Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -sds` (see man qconf(1)).

      Returns:
        the detached settings summary information as a `java.lang.String`
      Throws:
        `JGDIException`
        `JGDIException` - JGDIException on any error on the GDI level

    - #### deleteShareTree

          void deleteShareTree()
                        throws JGDIException

      Delete the sharetree Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -dstree` (see man qconf(1)).

      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### deleteShareTreeWithAnswer

          void deleteShareTreeWithAnswer(java.util.List<JGDIAnswer> answers)
                                  throws JGDIException

      Delete the sharetree Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -dstree` (see man qconf(1)).

      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.